You may want to suppress the echo of the "Command: " prompt after subsequent calls to any of the 'Getxxxxxx' methods using ActiveX. For this the NOMUTT system variable along with extra Prompts as shown in the following sample lisp code can be used to stop the Command prompt from appearing after each vla-getXXX method.
(defun c:test (/ doc p1 p2 uo)
(vl-load-com)
(setq doc (vla-get-ActiveDocument (vlax-get-acad-object))
msp (vla-get-modelspace doc)
uo (vla-get-utility doc)
)
(prompt "\nStart point:")
(setvar "nomutt" 1)
(vla-InitializeUserInput uo 9)
(setq p1 (vla-getPoint uo nil))
(setvar "nomutt" 0)
(prompt "\nEnd point:")
(setvar "nomutt" 1)
(vla-InitializeUserInput uo 9)
(setq p2 (vla-getPoint uo p1))
(vla-addLine msp p1 p2)
(setvar "nomutt" 0)
(princ)
)